Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hub.builders
Class RequestBuilderComplete

    java.lang.Object
      be.ehealth.businessconnector.hub.builders.RequestBuilderComplete

    public class RequestBuilderComplete

extends Object

Request builder Complete.

Constructor Summary
`RequestBuilderComplete()`

Method Summary
`DeclareTransactionRequest` | `buildDeclareTransactionRequest(KmehrHeaderDeclareTransaction kmehrHeader)` Creates a `DeclareTransactionRequest`
`GetAccessRightRequest` | `buildGetAccessRight(TransactionIdType transaction)` Creates a `GetAccessRightRequest`
`GetHCPartyConsentRequest` | `buildGetHcPartyConsent(HCPartyIdType hcPartyId)` Creates a `GetHCPartyConsentRequest`
`GetHCPartyRequest` | `buildGetHcPartyRequest(HCPartyIdType hcParty)` Creates a `GetHCPartyRequest`
`GetPatientAuditTrailRequest` | `buildGetPatientAudiTrail(SelectGetPatientAuditTrailType patientAuditTrail)` Creates a `GetPatientAuditTrailRequest`
`GetPatientConsentRequest` | `buildGetPatientConsent(SelectGetPatientConsentType patientConsent)` Creates a `GetPatientConsentRequest`
`GetPatientRequest` | `buildGetPatientRequest(PatientIdType patientId)` Creates a `GetPatientRequest`
`GetTherapeuticLinkRequest` | `buildGetTherapeuticLinkRequest(SelectGetHCPartyPatientConsentType patientConsent)` Creates a `GetTherapeuticLinkRequest`
`GetTransactionListRequest` | `buildGetTransactionListRequest(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction)` Creates a `GetTransactionListRequest`
`GetTransactionRequest` | `buildGetTransactionRequest(PatientIdType patient, TransactionBaseType transaction)` Creates a `GetTransactionRequest`
`PutAccessRightRequest` | `buildPutAccessRightRequest(AccessRightType accessRight)` Creates a `PutAccessRightRequest`
`PutHCPartyConsentRequest` | `buildPutHcPartyConsentRequest(ConsentHCPartyType consent)` Creates a `PutHCPartyConsentRequest`
`PutHCPartyRequest` | `buildPutHcPartyRequest(HCPartyAdaptedType hcParty)` Creates a `PutHCPartyRequest`
`PutPatientConsentRequest` | `buildPutPatientConsentRequest(ConsentType patientConsent)` Creates a `PutPatientConsentRequest`
`PutPatientRequest` | `buildPutPatientRequest(PersonType patient)` Creates a `PutPatientRequest`
`PutTherapeuticLinkRequest` | `buildPutTherapeuticLinkRequest(TherapeuticLinkType therapeuticLink)` Creates a `PutTherapeuticLinkRequest`
`PutTransactionRequest` | `buildPutTransactionRequest(Kmehrmessage kmehrHeader)` Creates a `PutTransactionRequest`
`RequestPublicationRequest` | `buildRequestPublicationRequest(PatientIdType patient, TransactionWithPeriodType transaction, String comment)` Creates a `RequestPublicationRequest`
`RevokeAccessRightRequest` | `buildRevokeAccessRight(SelectRevokeAccessRightType accessRight)` Creates a `RevokeAccessRightRequest`
`RevokeHCPartyConsentRequest` | `buildRevokeHcPartyConsent(ConsentHCPartyType consent)` Creates a `RevokeHCPartyConsentRequest`
`RevokePatientConsentRequest` | `buildRevokePatientConsentRequest(ConsentType patientConsent)` Creates a `RevokePatientConsentRequest`
`RevokeTherapeuticLinkRequest` | `buildRevokeTherapeuticLinkRequest(TherapeuticLinkType therapeuticLink)` Creates a `RevokeTherapeuticLinkRequest`
`RevokeTransactionRequest` | `buildRevokeTransactionRequest(PatientIdType patient, TransactionIdType transaction)` Creates a `RevokeTransactionRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestBuilderComplete

    public RequestBuilderComplete()

Method Detail

### buildGetTransactionListRequest

    public GetTransactionListRequest buildGetTransactionListRequest(PatientIdType patient,
                                                                    LocalSearchType searchType,
                                                                    TransactionWithPeriodType transaction)

  Creates a `GetTransactionListRequest`

  Parameters:
    `patient` -
    `searchType` -
    `transaction` -
  Returns:

### buildDeclareTransactionRequest

    public DeclareTransactionRequest buildDeclareTransactionRequest(KmehrHeaderDeclareTransaction kmehrHeader)

  Creates a `DeclareTransactionRequest`

  Parameters:
    `kmehrHeader` -
  Returns:

### buildPutTransactionRequest

    public PutTransactionRequest buildPutTransactionRequest(Kmehrmessage kmehrHeader)

  Creates a `PutTransactionRequest`

  Parameters:
    `kmehrHeader` -
  Returns:

### buildRevokeTransactionRequest

    public RevokeTransactionRequest buildRevokeTransactionRequest(PatientIdType patient,
                                                                  TransactionIdType transaction)

  Creates a `RevokeTransactionRequest`

  Parameters:
    `patient` -
    `transaction` -
  Returns:

### buildGetTransactionRequest

    public GetTransactionRequest buildGetTransactionRequest(PatientIdType patient,
                                                            TransactionBaseType transaction)

  Creates a `GetTransactionRequest`

  Parameters:
    `patient` -
    `transaction` -
  Returns:

### buildRequestPublicationRequest

    public RequestPublicationRequest buildRequestPublicationRequest(PatientIdType patient,
                                                                    TransactionWithPeriodType transaction,
                                                                    String comment)

  Creates a `RequestPublicationRequest`

  Parameters:
    `patient` -
    `transaction` -
    `comment` -
  Returns:

### buildGetHcPartyRequest

    public GetHCPartyRequest buildGetHcPartyRequest(HCPartyIdType hcParty)

  Creates a `GetHCPartyRequest`

  Parameters:
    `hcParty` -
  Returns:

### buildPutHcPartyRequest

    public PutHCPartyRequest buildPutHcPartyRequest(HCPartyAdaptedType hcParty)

  Creates a `PutHCPartyRequest`

  Parameters:
    `hcParty` -
  Returns:

### buildPutHcPartyConsentRequest

    public PutHCPartyConsentRequest buildPutHcPartyConsentRequest(ConsentHCPartyType consent)

  Creates a `PutHCPartyConsentRequest`

  Parameters:
    `consent` -
  Returns:

### buildGetHcPartyConsent

    public GetHCPartyConsentRequest buildGetHcPartyConsent(HCPartyIdType hcPartyId)

  Creates a `GetHCPartyConsentRequest`

  Parameters:
    `hcPartyId` -
  Returns:

### buildRevokeHcPartyConsent

    public RevokeHCPartyConsentRequest buildRevokeHcPartyConsent(ConsentHCPartyType consent)

  Creates a `RevokeHCPartyConsentRequest`

  Parameters:
    `consent` -
  Returns:

### buildPutPatientRequest

    public PutPatientRequest buildPutPatientRequest(PersonType patient)

  Creates a `PutPatientRequest`

  Parameters:
    `patient` -
  Returns:

### buildGetPatientRequest

    public GetPatientRequest buildGetPatientRequest(PatientIdType patientId)

  Creates a `GetPatientRequest`

  Parameters:
    `patientId` -
  Returns:

### buildPutPatientConsentRequest

    public PutPatientConsentRequest buildPutPatientConsentRequest(ConsentType patientConsent)

  Creates a `PutPatientConsentRequest`

  Parameters:
    `patientConsent` -
  Returns:

### buildGetPatientConsent

    public GetPatientConsentRequest buildGetPatientConsent(SelectGetPatientConsentType patientConsent)

  Creates a `GetPatientConsentRequest`

  Parameters:
    `patientConsent` -
  Returns:

### buildRevokePatientConsentRequest

    public RevokePatientConsentRequest buildRevokePatientConsentRequest(ConsentType patientConsent)

  Creates a `RevokePatientConsentRequest`

  Parameters:
    `patientConsent` -
  Returns:

### buildPutTherapeuticLinkRequest

    public PutTherapeuticLinkRequest buildPutTherapeuticLinkRequest(TherapeuticLinkType therapeuticLink)

  Creates a `PutTherapeuticLinkRequest`

  Parameters:
    `therapeuticLink` -
  Returns:

### buildGetTherapeuticLinkRequest

    public GetTherapeuticLinkRequest buildGetTherapeuticLinkRequest(SelectGetHCPartyPatientConsentType patientConsent)

  Creates a `GetTherapeuticLinkRequest`

  Parameters:
    `patientConsent` -
  Returns:

### buildRevokeTherapeuticLinkRequest

    public RevokeTherapeuticLinkRequest buildRevokeTherapeuticLinkRequest(TherapeuticLinkType therapeuticLink)

  Creates a `RevokeTherapeuticLinkRequest`

  Parameters:
    `therapeuticLink` -
  Returns:

### buildPutAccessRightRequest

    public PutAccessRightRequest buildPutAccessRightRequest(AccessRightType accessRight)

  Creates a `PutAccessRightRequest`

  Parameters:
    `accessRight` -
  Returns:

### buildGetAccessRight

    public GetAccessRightRequest buildGetAccessRight(TransactionIdType transaction)

  Creates a `GetAccessRightRequest`

  Parameters:
    `transaction` -
  Returns:

### buildRevokeAccessRight

    public RevokeAccessRightRequest buildRevokeAccessRight(SelectRevokeAccessRightType accessRight)

  Creates a `RevokeAccessRightRequest`

  Parameters:
    `accessRight` -
  Returns:

### buildGetPatientAudiTrail

    public GetPatientAuditTrailRequest buildGetPatientAudiTrail(SelectGetPatientAuditTrailType patientAuditTrail)

  Creates a `GetPatientAuditTrailRequest`

  Parameters:
    `patientAuditTrail` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.